<script>
	let profils = [
  {
    id_utilisateur: 1,
    pseudo: 'Bisquette',
    photo: 'Bisquette.jpeg',
    date: '2023-07-10T15:52:33+02:00'
  },
  { id_utilisateur: 2, pseudo: 'Saké', photo: null, date: null },
  { id_utilisateur: 3, pseudo: 'Sakééééé', photo: null, date: null },
  { id_utilisateur: 4, pseudo: 'Biscotte', photo: null, date: null },
  { id_utilisateur: 5, pseudo: 'oui', photo: 'oui.png', date: null },
 
]
	function getSource(filename) {
		return `/profil_pictures/${filename}`;
	}
</script>

<button>
	<a href="/modifier_compte"> Paramètres </a>
</button>

<button>
	<a href="/nouveau_post"> Nouveau post </a>
</button>



<div class="content">
	<h1>Rechercher d'autres cinéphiles</h1>
	<form method="POST">
		<div>
			<input id="mot" type="text" name="mot" />
			
			<button type="submit"> Rechercher </button>
		</div>
		{#each profils as profil}
			<div>
				{#if !!profil.photo}
					<img class="profil_photo" src={getSource(profil.photo)} alt="profile_picture" />
				{:else}
					<img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture" />
				{/if}

				{profil.pseudo}

				<button type="submit" name="page" value={profil.id_utilisateur}>Voir le profil</button>

				{#if !!profil.date}
					<button type="submit" name="abo" value={profil.id_utilisateur}>Suivi</button>
				{:else}
				<button type="submit" name="abo" value={profil.id_utilisateur}>Suivre</button>
				{/if}
			</div>
		{/each}
	</form>
</div>

<style>
	.content {
		width: 100%;
		max-width: var(--column-width);
		margin: var(--column-margin-top) auto 0 auto;
	}
	.profil_photo {
		border-radius: 50%;
		width: 85px;
		height: 85px;
		object-fit: cover;
		margin-left: 10px;
		margin-right: 10px;
	}
</style>
